ApiInventory
Batch availability lookups (≤ 500 total keys)
AuthorizationBearer <token>
Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/inventory/availability/batch" \ -H "Content-Type: application/json" \ -d '{ "queries": [ { "keys": [ "string" ] } ] }'{ "data": [ { "property1": { "onHand": 0, "reserved": 0, "available": 0 }, "property2": { "onHand": 0, "reserved": 0, "available": 0 } } ]}